
set( nutools_VERSION 1.06.04 )
set( nutools_UPS_VERSION v1_06_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
  find_ups_product( art v1_11_00 )
  find_ups_product( cppunit v1_12_1a )
  find_ups_product( gccxml v0_9_20140718 )
  find_ups_product( clhep v2_2_0_3 )
  find_ups_product( cetpkgsupport v1_07_00 )
  find_ups_product( cetlib v1_07_00 )
  find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
  find_ups_product( fhiclcpp v3_00_00 )
  find_ups_product( sqlite v3_07_15_00 )
  find_ups_product( messagefacility v1_11_12 )
  find_ups_root( v5_34_20 )
  find_ups_product( tbb v4_1 )
  find_ups_product( genie v2_8_0 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_EXTMODULES )
      cet_find_library( MF_EXTMODULES NAMES MF_ExtModules PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE )
      cet_find_library( ART_NTUPLE NAMES art_Ntuple PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION )
      cet_find_library( TEST_INTEGRATION NAMES test_Integration PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XERCESC )
      cet_find_library( XERCESC NAMES xerces-c PATHS /grid/fermiapp/products/nova/externals/xerces_c/v3_1_1b/Linux64bit+2.6-2.5-e6-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS /grid/fermiapp/products/nova/externals/lhapdf/v5_9_1a/Linux64bit+2.6-2.5-e6-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS /grid/fermiapp/products/nova/externals/log4cpp/v1_1_1a/Linux64bit+2.6-2.5-e6-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /grid/fermiapp/products/nova/externals/libxml2/v2_9_1a/Linux64bit+2.6-2.5-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS /grid/fermiapp/products/nova/externals/cry/v1_7b/Linux64bit+2.6-2.5-e6-prof/cry_v1.7/lib NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( EVENTDISPLAYBASE NAMES EventDisplayBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTDISPLAY_SERVICE NAMES EventDisplay_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( SCANOPTIONS_SERVICE NAMES ScanOptions_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTGENERATORBASECRY NAMES EventGeneratorBaseCRY PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTGENERATORBASEGENIE NAMES EventGeneratorBaseGENIE PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTGENERATORBASE_TEST_EVENTGENERATORTEST_MODULE NAMES EventGeneratorBase_test_EventGeneratorTest_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( G4BASE NAMES G4Base PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( MAGNETICFIELD_SERVICE NAMES MagneticField_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( NUBEAMWEIGHTS NAMES NuBeamWeights PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( NUREWEIGHT NAMES NuReweight PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( NUREWEIGHTART NAMES NuReweightArt PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( REWEIGHTANA_MODULE NAMES ReweightAna_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( SIMULATIONBASE NAMES SimulationBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    cet_find_library( SIMULATIONBASE_DICT NAMES SimulationBase_dict PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )

check_required_components(nutools)

